# Medidas de Posição (ou separatrizes) - CET083

## Descrição

Este repositório contém o código fonte do trabalho da disciplina CET083 - Probabilidade e Estatística, do curso de Ciência da Computação da Universidade Estadual de Santa Cruz (UESC), ministrada pelo professor [Dr. José Cláudio Faria](https://lec.pro.br/professores/jcfaria/pag-pessoal).

## Visualização (sem instalação)

É possível visualizar o notebook, executar e modificar as células sem instalar nada através do [Google Colab](https://colab.research.google.com/github/italoseara/CET083/blob/main/pos.ipynb).

Também é possível visualizar o notebook como código estático através do [nbviewer](https://nbviewer.org/format/script/github/italoseara/CET083/blob/main/pos.ipynb).

## Instalação e Execução

- Instale [Python 3.12](https://www.python.org/downloads/windows/) ou superior.
- Instale o [Jupyter Notebook](https://jupyter.org/install).
- Clone o repositório com o comando `git clone https://github.com/italoseara/CET083`.
- Acesse o diretório do projeto com o comando `cd CET083`.
- Instale as dependências do projeto com o comando:
  - `py -m pip install -r requirements.txt` (Windows)
  - `python3 -m pip install -r requirements.txt` (Linux)
- Execute o comando `jupyter notebook` para iniciar o servidor do Jupyter Notebook.
- Acesse o endereço `http://localhost:8888` no seu navegador.
- Abra o arquivo `pos.ipynb` e execute as células.

OBS.: Algumas ótimas alternativas ao Jupyter Notebook são o [Google Colab](https://colab.research.google.com/), que não requer instalação e a extensão do [Jupyter](https://marketplace.visualstudio.com/items?itemName=ms-toolsai.jupyter) para o [Visual Studio Code](https://code.visualstudio.com/).

## Dúvidas

Em caso de dúvidas, abra uma [issue](https://github.com/italoseara/CET083/issues) ou entre em contato com os autores.

## Autores

- [Italo Seara](https://github.com/italoseara)
- [Lucas Luige](https://github.com/lluigecm)
- [Gabriel Prado](https://github.com/Gabriel-Prd)